/*******************************************************************************
 * FoxCustomGearActor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomGearActor extends FoxCustomSkeletalActor
    config(CustomTurretActor)
    hidecategories(Navigation);

var int CurrentGearIndex;
var export editinline StaticMeshComponent StaticMeshComponent;

simulated function SetPreviewMesh()
{
    //return;    
}

simulated function SetGearIndex(int NewIndex)
{
    local FoxDataProvider_GearInfo GearInfoProvider;
    local FoxDataStore_Unlockables UnlockablesDataStore;
    local Object TestObject;

    UnlockablesDataStore = FoxDataStore_Unlockables(class'UIInteraction'.static.GetDataStoreClient().FindDataStore('FoxUnlockables'));
    // End:0x254
    if(CurrentGearIndex != NewIndex)
    {
        GearInfoProvider = FoxDataProvider_GearInfo(UnlockablesDataStore.AttachmentProviderArray[NewIndex]);
        // End:0x254
        if(GearInfoProvider != none)
        {
            TestObject = GearInfoProvider.GetStaticMeshAsset(false, FoxPRI(OwnerPC.PlayerReplicationInfo));
            // End:0x222
            if(StaticMeshComponent == none)
            {
                StaticMeshComponent = new (self) class'StaticMeshComponent';
                StaticMeshComponent.bIgnoreMaxDrawDistance = true;
                StaticMeshComponent.SetDepthPriorityGroup(2);
                StaticMeshComponent.SetShadowParent(SkeletalMeshComponent);
                StaticMeshComponent.SetLightEnvironment(SkeletalMeshComponent.LightEnvironment);
                StaticMeshComponent.SetLightingChannels(SkeletalMeshComponent.LightingChannels);
                AttachComponent(StaticMeshComponent);
            }
            StaticMeshComponent.SetStaticMesh(StaticMesh(TestObject));
        }
    }
    CurrentGearIndex = NewIndex;
    IdealCameraDistance = default.IdealCameraDistance;
    FinishedRotation = rot(0, -16384, 0);
    //return;    
}

defaultproperties
{
    BaseCameraOffset=(X=0.0,Y=0.0,Z=-5.0)
    BaseRotation=(Pitch=0,Yaw=16384,Roll=0)
    IdealCameraDistance=25.0
    MinCameraDistance=25.0
    MaxCameraDistance=25.0
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomGearActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomGearActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomGearActor.SkeletalMeshComponent0'
    SkeletalMeshComponent=SkeletalMeshComponent0
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomGearActor.MyLightEnvironment'
    FacialAudioComp=AudioComponent'Default__FoxCustomGearActor.FaceAudioComponent'
    Components(0)=DynamicLightEnvironmentComponent'Default__FoxCustomGearActor.MyLightEnvironment'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomGearActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomGearActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomGearActor.SkeletalMeshComponent0'
    Components(1)=SkeletalMeshComponent0
    Components(2)=AudioComponent'Default__FoxCustomGearActor.FaceAudioComponent'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomGearActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomGearActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomGearActor.SkeletalMeshComponent0'
    CollisionComponent=SkeletalMeshComponent0
}